Description

Starting with Rails 5.1:

- message: password_changed is not an attribute known to Active Record. This behavior

    is deprecated and will be removed in the next version of Rails. If you'd like

    password_changed to be managed by Active Record, add `attribute :password_changed

    to your class.

  callstack: app/models/image.rb:31:in `set_password_changed'

- message: password_changed is not an attribute known to Active Record. This behavior

    is deprecated and will be removed in the next version of Rails. If you'd like

    password_changed to be managed by Active Record, add `attribute :password_changed

    to your class.

  callstack: app/models/user.rb:527:in `set_password_changed'

Related issues:

Related to Foreman - Bug #16850: Password change activity does not show in Au... Closed 10/10/2016

Related to Foreman - Tracker #20948: Rails 5.1 upgrade tasks Closed 09/16/2017

Related to Foreman - Bug #19169: CVE-2017-2672 - audit trail leaks sensitive ... Closed 04/04/2017

Related to Foreman - Refactor #20116: Redact sensitive information from audit... New 06/27/2017

Related to Foreman - Bug #22280: User Audits: False entry of "password change... New 01/16/2018

Blocks Foreman - Tracker #21834: Rails 5.2 upgrade tasks Closed

Associated revisions

Revision 59f0a945 - 01/12/2018 01:18 PM - Tomer Brisker

Fixes #22208, #21920 - Refactor password auditing (#5162)

Recent changes in Rails 5.1 and audited gem cause our method of auditing

passwords to break. This PR refactors password auditing, so that instead

of recording a change to attribute `password_changed`, we will now

record the string `[redacted]` instead of any actual password.

The change is done currently in our audit extensions, which mean that it

will now apply to all resources that have a `password` attribute instead

of just those that have defined the workaround.

The next step will be to move this to the audited gem in a more

generalized method that can be defined in the model when initializing

audited, so that the workaround can be removed.

History

#1 - 12/10/2017 03:46 PM - Anonymous

- Related to Bug #16850: Password change activity does not show in Audit log added

#2 - 12/10/2017 03:46 PM - Anonymous

- Related to Tracker #21834: Rails 5.2 upgrade tasks added
#3 - 12/10/2017 03:47 PM - Anonymous

- Related to Tracker #20948: Rails 5.1 upgrade tasks added

#4 - 12/10/2017 03:47 PM - Anonymous

- Related to Bug #19169: CVE-2017-2672 - audit trail leaks sensitive data for Image events added

#5 - 12/30/2017 07:01 PM - Anonymous

- Related to deleted (Tracker #21834: Rails 5.2 upgrade tasks)

#6 - 12/30/2017 07:01 PM - Anonymous

- Blocks Tracker #21834: Rails 5.2 upgrade tasks added

#7 - 12/30/2017 07:06 PM - Anonymous

this indeed leads to test errrors with Rails 5.1

#8 - 12/31/2017 11:45 AM - Tomer Brisker

- Related to Refactor #20116: Redact sensitive information from audit logs added

#9 - 01/10/2018 10:51 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Tomer Brisker

- Pull request https://github.com/theforeman/foreman/pull/5162 added

#10 - 01/12/2018 01:19 PM - Marek Hulán

- translation missing: en.field_release set to 330

#11 - 01/12/2018 02:02 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 59f0a945defa3f70454b08a1914fc4842ab69c7e.

#12 - 01/16/2018 10:48 AM - Marek Hulán

- Related to Bug #22280: User Audits: False entry of "password changed" every time a user is updated added
